Skip to main content
View as Markdown

Reactivate a Subscription

POST 

/v2/subscriptions/:id/reactivate

Restarts billing on an active Subscription whose billing has stopped. A new billing period starts now, and its charge is taken within a few minutes. Periods that were not paid while billing was stopped are not charged. Fails with invalid_state_error if the Subscription is not active, is still billing, is scheduled for cancellation, has an open invoice that can still be paid, has a paid period that has not ended or had its latest renewal paid by a retry, is still processing the outcome of its latest renewal (try again in a few minutes), or is in a billing period that has not started yet

Request​

Responses​

OK